Bug 435530 - ActionToolbar frequently warns of binding loops
Summary: ActionToolbar frequently warns of binding loops
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.80.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 03:24 UTC by Nate Graham
Modified: 2021-05-12 14:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.83


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-04-09 03:24:53 UTC
In every app I know of that uses Kirigami.ActionToolbar (including System Monitor, Discover, Elisa, and Kirigami Gallery), the component frequently spams the log with warning about a binding loop:

file:///home/nate/kde/usr/lib64/qml/org/kde/kirigami.2/ActionToolBar.qml:109:18: QML ToolBarLayout: Binding loop detected for property "actions"
Comment 1 Arjen Hiemstra 2021-05-12 10:27:07 UTC
Git commit 73446bdd3c64c4fe845274ecfe4a627054f04f89 by Arjen Hiemstra.
Committed on 12/05/2021 at 09:47.
Pushed by ahiemstra into branch 'master'.

Fix binding loop for property "actions" in ToolBarPageHeader

Changing properties on the actions while we're evaluating a different
property will cause that property to be reevaluated which triggeres a
binding loop warning.

M  +31   -16   src/controls/private/globaltoolbar/ToolBarPageHeader.qml

https://invent.kde.org/frameworks/kirigami/commit/73446bdd3c64c4fe845274ecfe4a627054f04f89